Skip to content

Tag: maven-jdeps-plugin

Error: log4j-api-2.9.0.jar is a multi-release jar file but –multi-release option is not set

Exploring the maven-jdeps-plugin:3.1.0 with Java9 using the following minimal pom.xml:- On executing I end up getting a detailed error that reads the following:- I couldn’t find much relevance related to –multi-release flag in either jdeps:jdkinternals goal detailed on Maven’s official site or even in the jdeps tool documented at Oracle help center. Can someone throw some light on this implementation